class BuildGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)
  argument :features, :type => :array, :default => []

  def create_build_file
    create_file "build.sh",
<<-FILE
#!/bin/bash
export COMPOSE_FILE=docker-compose.test.yml

set -e

docker-compose build
docker-compose up -d
docker-compose run -T web bin/jenkins
FILE
  end

end
